#ifndef INCLUDES_H
#define INCLUDES_H

/* LIBC includes */
#include <stdio.h>
#include <stdarg.h>
#include <string.h>

/* other libs */
#include <allegro.h>

/* add-ons */
#ifndef ALLEGRO_WINDOWS
    #ifndef ALLEGRO_DOS
        #include "t3ssal.h" /* use this if non-Windows and non-DOS version */
    #else
        #include "t3ssdos.h"
    #endif
#else
    #include "t3sswin.h"
#endif
#include "font.h"
#include "animate.h"
#include "random.h"
#include "gef.h"
#include "joy.h"

/* Crystal Stacker includes */
#include "types.h"
#include "credits.h"
#include "theme.h"
#include "coltime.h"
#include "message.h"
#include "game.h"
#include "effects.h"
#include "core.h"
#include "draw.h"
#include "battle.h"
#include "filename.h"
#include "logo.h"
#include "menucore.h"
#include "menu.h"
#include "hiscore.h"
#include "help.h"
#include "misc.h"
#include "cs.h"
#include "cs1ns.h"
#include "cs1td.h"
#include "cs1tf.h"
#include "cs2ns.h"
#include "cs2nl.h"
#include "cs2nd.h"
#include "cs2bs.h"
#include "cs2bd.h"
#include "cs2bl.h"

#endif
